function s = mysimulate(this)
% MYSIMULATE  [Not a public function] Convert non-linear plan to struct used in simulate.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

s = struct();
s.func = this.nonlinfunc;
s.label = this.nonlinlabel;
s.nper = this.nonlinperiods;
s.index = this.nonlinindex;
s.startdate = this.startdate;
s.enddate = this.enddate;

end
